PDA

View Full Version : Ext JS SDK Location Ext 6.5.0 Error



furtahs
12 May 2017, 7:45 AM
While trying to create a new Sencha Ext JS Application and Web API using the new Ext JS 6.5.0 SDK, it will not load into visual studio. The file was downloaded from support.sencha.com and then extracted into the proper directory where Ext JS 6.2.1 was located.

When selecting the new folder for Ext JS SDK Location 6.5.0 in the 'Generate Sencha Ext JS Application' window, it will not allow me to select a theme or press OK, with a red box around the filename and theme drop down, with the error of 'Object reference not set to an instance of an object'. The old SDK of 6.2.1 works perfectly when it is in the same directory as well.

Versions I am running:

Microsoft Visual Studio Enterprise 2015
Version 14.0.24720.00 Update 1

Microsoft .Net Framework
Version 4.6.01055

Visual Studio Sencha Extension
Version 6.0.5.517

Sencha Cmd
Current Version: 6.5.0.180
Old Version: 6.2.2.36

Ext JS
Current Version: 6.5.0
Old Version: Ext 6.2.1
562845628556286

dongryphon
16 May 2017, 11:32 AM
Hi furtahs,

I moved this to the Visual Studio IDE Plugin forum to get the right eyes on it.

mjcee
15 Jun 2017, 12:09 PM
I have the same problem. Any solution from Sencha?

furtahs
15 Jun 2017, 12:14 PM
I put a ticket in to sencha support and they said


This problem is being actively worked on. We will have an update out soon.

If I were you, I would just hold off on the upgrade for another week or so. Else, you could manage your project directly through Cmd for the interim.

and then about a week later i was sent this and they closed my ticket.


As I said, this is actively being worked on. The reference code for this bug is BUG#. It should be available with the next release of the Visual Studio plugin.

There is nothing else that I can do for you, so I am going to close this ticket. I am sorry for the inconvenience.

mjcee
15 Jun 2017, 12:26 PM
Thanks for the quick reply. I guess I will stay with 6.2 for now.